%define major 0.7
%define _name nautilus-python

Name: python-module-nautilus
Version: %major.0
Release: alt1

Summary: Python bindings for Nautilus

License: GPLv2+
Group: Development/Python
Url: http://www.gnome.org/

Source: http://ftp.gnome.org/pub/GNOME/sources/%_name/%major/%_name-%version.tar.bz2

%setup_python_module nautilus
%add_python_lib_path %_libdir/nautilus/extensions-2.0 %_libdir/%_name

%define nautilus_ver 2.22.0
%define pygtk_ver 2.8.0
%define pygobject_ver 2.16.0
%define pygnome_ver 2.12.0

BuildPreReq: libnautilus-devel >= %nautilus_ver
BuildPreReq: python-module-pygobject-devel >= %pygobject_ver
BuildPreReq: python-module-pygtk-devel >= %pygtk_ver
BuildPreReq: python-module-pygnome-devel >= %pygnome_ver
BuildRequires: gtk-doc python-module-pygobject-devel-doc

%description
This package provides Python bindings for the Nautilus extension library.

%package devel
Summary: Development files for %_name
Group: Development/Python
Requires: %name = %version-%release

%description devel
Development files for %_name.

%package devel-doc
Summary: Development documentation for %_name
Group: Development/Python
BuildArch: noarch
Conflicts: %name-devel < %version

%description devel-doc
Development documentation for %_name.


%prep
%setup -q -n %_name-%version

%build
%configure --disable-static \
    --enable-gtk-doc

%make_build

%install
%make DESTDIR=%buildroot install
mkdir -p %buildroot%_datadir/nautilus-python/extensions
mkdir -p %buildroot%_libexecdir/nautilus/extensions-2.0/python
rm -f examples/{Makefile*,README.in}

%files
%_libdir/nautilus/extensions-2.0/*.so
%_libdir/%_name/*.so
%dir %_libexecdir/nautilus/extensions-2.0/python
%dir %_datadir/nautilus-python/extensions

%files devel
%_pkgconfigdir/*
%doc README AUTHORS NEWS ChangeLog examples

%files devel-doc
%_datadir/gtk-doc/html/*

%exclude %_libdir/nautilus/extensions-2.0/*.la
%exclude %_libdir/%_name/*.la
%exclude %_docdir/%_name

%changelog
* Sat May 22 2010 Yuri N. Sedunov <aris@altlinux.org> 0.7.0-alt1
- new version
- new devel-doc noarch subpackage

* Wed Jan 20 2010 Yuri N. Sedunov <aris@altlinux.org> 0.6.1-alt1
- 0.6.1

* Mon Jan 18 2010 Yuri N. Sedunov <aris@altlinux.org> 0.6.0-alt1
- first build for Sisyphus
